This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 495690 - ssh should export XMODIFIERS
ssh should export XMODIFIERS
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: openssh (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Jan F. Chadima
Fedora Extras Quality Assurance
: Regression
Depends On: 497484
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-14 08:41 EDT by Akira TAGOH
Modified: 2010-07-13 04:03 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-13 04:03:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Akira TAGOH 2009-04-14 08:41:52 EDT
Description of problem:
When going to invoke an application with ibus immodule, I can see an warning like:
IBUS-WARNING **: Connect to unix:path=/tmp/ibus-tagoh/ibus-localhost-12 failed. Failed to connect to socket /tmp/ibus-tagoh/ibus-localhost-12: No such file or directory

and can't activate IM.

Version-Release number of selected component (if applicable):
ibus-1.1.0.20090407-3.fc11.x86_64

How reproducible:
always

Steps to Reproduce:
1.log into the remote machine with ssh
2.run application
3.
  
Actual results:
No ibus working

Expected results:
ibus should works as scim does.

Additional info:
Comment 1 Peng Huang 2009-04-24 03:06:22 EDT
The better solution is fall back to xim im context, but gtk lack the API to create im context from im module.
Comment 2 Bug Zapper 2009-06-09 09:47:58 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Jens Petersen 2009-06-10 01:58:59 EDT
Would it be useful to have some script to start ibus-daemon on the remote machine or can we just run ibus-daemon like that for that?
Comment 4 Peng Huang 2009-06-10 02:12:51 EDT
But it may conflict with im-settings. So it is better to let user to use XIM by self.
Comment 5 Akira TAGOH 2009-06-10 05:45:28 EDT
What SCIM had taken a way to accomplish that, i.e. bringing up the necessary process from immodule was a trade-off for this issue I suppose..

If we decide that that way is evil, I tend to agree with using XIM.
Comment 6 Jens Petersen 2009-06-10 21:42:21 EDT
How to get XIM working?
Comment 7 Jens Petersen 2009-06-10 21:52:24 EDT
Nevermind - guess I was testing cross-locale yesterday.

Should ssh export XMODIFIERS then?

locale$ ssh -X remote
remote$ ibus-daemon ; GTK_IM_MODULE=ibus gtk-app

also seems to work well enough FWIW.
Comment 8 Peng Huang 2009-06-10 22:05:40 EDT

(In reply to comment #7)
> Nevermind - guess I was testing cross-locale yesterday.
> 
> Should ssh export XMODIFIERS then?
Yeah

> 
> locale$ ssh -X remote
> remote$ ibus-daemon ; GTK_IM_MODULE=ibus gtk-app
> 
> also seems to work well enough FWIW.  

But it only works if the remote machine has ibus.
Comment 9 Jens Petersen 2009-06-11 21:07:42 EDT
(In reply to comment #8)
> > Should ssh export XMODIFIERS then?
> Yeah

Ok - I am changing component to openssh and hope that
XMODIFIERS can be added to SendEnv list in /etc/ssh/ssh_config.
Comment 10 Bug Zapper 2009-11-16 04:54:48 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Akira TAGOH 2010-07-13 04:03:42 EDT
This works fine. closing. thanks.

Note You need to log in before you can comment on or make changes to this bug.